import trio

async def foo1():
    print(' foo1: выполняется')
    await trio.sleep(2)
    print(' foo1: выполнен')


async def foo2():
    print(' foo2: выполняется')
    await trio.sleep(1)
    print(' foo2: выполнен')


async def root():
    async with trio.open_nursery() as nursery:
        nursery.start_soon(foo1)
        nursery.start_soon(foo2)


def main():
    trio.run(root)

if __name__ == '__main__':
    main()